Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
Cloo.ComputeCommandStatusArgs Class Reference

Represents the arguments of a command status change. More...

List of all members.

## Public Member Functions
| ComputeCommandStatusArgs (ComputeEventBase ev, ComputeCommandExecutionStatus status)
| Creates a new `ComputeCommandStatusArgs` instance.
| ComputeCommandStatusArgs (ComputeEventBase ev, int status)
| Creates a new `ComputeCommandStatusArgs` instance.
## Properties
ComputeEventBase | Event`[get, set]`
| Gets the event associated with the command that had its status changed.
ComputeCommandExecutionStatus | Status`[get, set]`
| Gets the execution status of the command represented by the event.

## Detailed Description

Represents the arguments of a command status change.

## Constructor & Destructor Documentation

Cloo.ComputeCommandStatusArgs.ComputeCommandStatusArgs | ( | ComputeEventBase | ev,
|  | ComputeCommandExecutionStatus | status
| ) |  |

Creates a new `ComputeCommandStatusArgs` instance.

Parameters:

  ev | The event representing the command that had its status changed.
  status | The status of the command.

Cloo.ComputeCommandStatusArgs.ComputeCommandStatusArgs | ( | ComputeEventBase | ev,
|  | int | status
| ) |  |

Creates a new `ComputeCommandStatusArgs` instance.

Parameters:

  ev | The event of the command that had its status changed.
  status | The status of the command.

## Property Documentation

ComputeEventBase Cloo.ComputeCommandStatusArgs.Event`[get, set]`

Gets the event associated with the command that had its status changed.

ComputeCommandExecutionStatus Cloo.ComputeCommandStatusArgs.Status`[get, set]`

Gets the execution status of the command represented by the event.

Returns a negative integer if the command was abnormally terminated.

The documentation for this class was generated from the following file:

- Cloo/Source/ComputeEventBase.cs